package com.engine.organization.service;

import weaver.file.FileUploadToPath;

import java.util.List;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/06/27
 * @version: 1.0
 */
public interface HrmResourceImportAdaptService {
    /**
     * 用于生成需要导入系统的人员与组织架构数据并放入Map中,同时包含参数和数据有效性验证
     * 其格式是：
     *
     * @return 返回错误提示
     */
    List<String> creatImportMap(FileUploadToPath fu);

    /**
     * 获得HrmImportMap
     *
     * @return
     */
    Map getHrmImportMap();

    /**
     * 传递同步的人员语言id
     */
    void setUserlanguage(int userlanguage);
}
